package gui;

import javax.swing.*;
import java.awt.*;

public class ChatRoomGUI extends JFrame {
    private final String WINDOWS_TITLE = "AUT Chat Room";
    private final int WIDTH = 500, HEIGHT = 500;
    private final int X = 100, Y = 100;
    ChatArea chatBox = new ChatArea();
    MessageArea messageBox = new MessageArea();
    ParticipantsArea participantsbox = new ParticipantsArea();
    public ChatRoomGUI()  throws HeadlessException {
        super();
        this.setTitle(WINDOWS_TITLE);
        this.setLayout(new BorderLayout());
        this.add(new JScrollPane(chatBox), BorderLayout.CENTER);
        this.add(new JScrollPane(messageBox), BorderLayout.PAGE_END);
        this.add(new JScrollPane(participantsbox), BorderLayout.WEST);

        this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        this.setSize(WIDTH, HEIGHT);
        this.setLocation(X, Y);
        this.setVisible(true);
    }
    public void addUser(String user){
        participantsbox.addUser(user);
    }
    public void addMessage (String user,String text){
        chatBox.addMessage(user,text);
    }
    public static void main (String args[]){
        ChatRoomGUI chatroom = new ChatRoomGUI();
    }
}


